Skip to main content
GET
https://{tenantDomain}/api/v2
/
user-attribute-profiles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.UserAttributeProfiles.ListAsync(
            new ListUserAttributeProfileRequestParameters {
                From = "from",
                Take = 1
            }
        );
    }

}
{
  "next": "<string>",
  "user_attribute_profiles": [
    {
      "id": "<string>",
      "name": "<string>",
      "user_id": {
        "oidc_mapping": "sub",
        "saml_mapping": [
          "<string>"
        ],
        "scim_mapping": "<string>",
        "strategy_overrides": {
          "pingfederate": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "ad": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "adfs": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "waad": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "google-apps": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "okta": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "oidc": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          },
          "samlp": {
            "saml_mapping": [
              "<string>"
            ],
            "scim_mapping": "<string>"
          }
        }
      },
      "user_attributes": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 5.

Required range: x >= 1

Response

User Attribute Profiles successfully retrieved.

next
string

A cursor to be used as the "from" query parameter for the next page of results.

user_attribute_profiles
object[]